﻿// <copyright file="SelectedColorChangedEvent.cs" company="Oleg V. Polikarpotchkin">
// Copyright © 2009 Oleg V. Polikarpotchkin. All Right Reserved
// </copyright>
// <author>Oleg V. Polikarpotchkin</author>
// <email>ov-p@yandex.ru</email>
// <date>2009-06-10</date>
// <summary>OpenWPFChart library.
// ColorPickerControls. SelectedColorChangedEvent Hadler delegate and Args class.</summary>
// <revision>$Id: SelectedColorChangedEvent.cs 25117 2009-06-14 08:51:08Z unknown $</revision>

using System;
using System.Windows;
using System.Windows.Media;

namespace OpenWPFChart.Helpers.ChooseColorDialog
{
	/// <summary>
	/// SelectedColorChangedEvent handler type.
	/// </summary>
	public delegate void SelectedColorChangedEventHandler(object sender, SelectedColorChangedEventArgs e);

	/// <summary>
	/// SelectedColorChangedEventArgs.
	/// </summary>
	/// <remarks>SelectedColorChangedEventArgs is used by a handful of ColorPickerControls.</remarks>
	public class SelectedColorChangedEventArgs : RoutedEventArgs
	{
		#region Constructors
		public SelectedColorChangedEventArgs(Color color, RoutedEvent routedEvent)
			: base(routedEvent)
		{
			Color = color;
		}
		public SelectedColorChangedEventArgs(Color color, RoutedEvent routedEvent, Object source)
			: base(routedEvent, source)
		{
			Color = color;
		}
		#endregion Constructors

		/// <summary>
		/// Gets the new Color value.
		/// </summary>
		/// <value>The Color value.</value>
		public Color Color { get; private set; }
	}
}
