﻿// <copyright file="HardcodedCurveDataView.cs" company="Oleg V. Polikarpotchkin">
// Copyright © 2008-2009 Oleg V. Polikarpotchkin. All Right Reserved
// </copyright>
// <author>Oleg V. Polikarpotchkin</author>
// <email>ov-p@yandex.ru</email>
// <date>2009-01-21</date>
// <summary>OpenWPFChart library. HardcodedCurveDataView associates this DataView with the HardcodedCurve Type.</summary>
// <revision>$Id: HardcodedCurveDataView.cs 23584 2009-05-09 06:56:04Z unknown $</revision>

namespace OpenWPFChart.Parts
{
	/// <summary>
	/// HardcodedCurveDataView associates this DataView with the HardcodedCurve Type.
	/// </summary>
	public class HardcodedCurveDataView : CurveDataView
	{
		/// <summary>
		/// Initializes a new instance of the <see cref="HardcodedCurveDataView"/> class.
		/// <para>This object default VisualCue is the <see cref="HardcodedCurveVisual"/> Type.</para>
		/// </summary>
		public HardcodedCurveDataView()
		{
			VisualCue = typeof(HardcodedCurveVisual);
		}
	}
}
