﻿// <copyright file="ItemsHolderView.cs" company="Oleg V. Polikarpotchkin">
// Copyright © 2008-2009 Oleg V. Polikarpotchkin. All Right Reserved
// </copyright>
// <author>Oleg V. Polikarpotchkin</author>
// <email>ov-p@yandex.ru</email>
// <date>2009-05-26</date>
// <summary>OpenWPFChart library. ItemsHolderView is the base class of all ItemsHolder View classes.</summary>
// <revision>$Id: ItemsHolderView.cs 26277 2009-07-26 07:47:03Z unknown $</revision>

namespace OpenWPFChart.Parts
{
	/// <summary>
	/// <see cref="ItemsHolderView"/> is the abstract base class of all ItemsHolder View classes.
	/// </summary>
	public abstract class ItemsHolderView : DataView
	{
		/// <summary>
		/// Replaces the specified <paramref name="itemToReplace"/> with the 
		/// <paramref name="replacement"/> item.
		/// </summary>
		/// <param name="itemToReplace">The item to replace.</param>
		/// <param name="replacement">The replacement.</param>
		abstract public void Replace(ItemDataView itemToReplace, ItemDataView replacement);
	}
}
